[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TMouseMoveEvent

Specifies an event handler used to respond to mouse movement events.

## Declaration

Source position: controls.pp line 471

`type TMouseMoveEvent = procedure(`
`Sender: TObject;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`) of object;`

## Arguments

`Sender` |  | TObject for the event notification.
`Shift` |  | Key modifier in effect for the event.
`X` |  | Horizontal mouse coordinates.
`Y` |  | Vertical mouse coordinates.